{{- if .Values.backend.persistence.enabled }}
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: {{ include "brand-master.fullname" . }}-uploads-pvc
  labels:
    {{- include "brand-master.labels" . | nindent 4 }}
    app.kubernetes.io/component: backend
spec:
  accessModes:
    - {{ .Values.backend.persistence.accessMode }}
  {{- if .Values.backend.persistence.storageClass }}
  storageClassName: {{ .Values.backend.persistence.storageClass }}
  {{- end }}
  resources:
    requests:
      storage: {{ .Values.backend.persistence.size }}
{{- end }}
